Forward to the next element

- « IteratorIterator::key

- IteratorIterator::rewind »

- PHP Manual
- IteratorIterator
- Forward to the next element

# IteratorIterator::next

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

IteratorIterator::next — Forward to the next element

### Description

public IteratorIterator::next(): void

Forward to the next element.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- IteratorIterator::rewind() - Rewind to the first element
- IteratorIterator::valid() - Checks if the current element is valid